com.trendmicro.ds.network.rest.object.sslconfiguration

## Class SSLConfiguration

- java.lang.Object
- - com.trendmicro.ds.network.rest.object.sslconfiguration.SSLConfiguration

-     public class SSLConfiguration
      extends java.lang.Object

  Details of an SSL configuration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Boolean` | `getAllInterfaces()` Get whether or not the SSL configuration applies to all interfaces.
    `java.lang.Boolean` | `getAllIPs()` Get whether or not the SSL configuration applies to all IP addresses.
    `java.lang.String` | `getDescription()` Get the SSL configuration description.
    `java.lang.Boolean` | `getEnabled()` Get the SSL configuration state.
    `java.lang.Integer` | `getID()` Get the SSL configuration ID.
    `java.lang.String` | `getName()` Get the SSL configuration name.
    `java.lang.Integer` | `getPortListID()` Get the port list ID for the SSL configuration.
    `java.util.List<java.lang.Integer>` | `getPorts()` Get the list of port numbers for the SSL configuration.
    `java.lang.String` | `getSpecificIP()` Get the IP address for which the SSL configuration applies.
    `SSLCredential` | `getSSLCredential()` Get the SSL configuration's SSL credential.
    `void` | `setAllInterfaces(java.lang.Boolean allInterfaces)` Set whether or not the SSL configuration applies to all interfaces.
    `void` | `setAllIPs(java.lang.Boolean allIPs)` Set whether or not the SSL configuration applies to all IP addresses.
    `void` | `setDescription(java.lang.String description)` Set the SSL configuration description.
    `void` | `setEnabled(java.lang.Boolean enabled)` Set the SSL configuration state.
    `void` | `setID(java.lang.Integer id)` Set the SSL configuration ID.
    `void` | `setName(java.lang.String name)` Set the SSL configuration name.
    `void` | `setPortListID(java.lang.Integer portListID)` Set the port list ID for the SSL configuration.
    `void` | `setPorts(java.util.List<java.lang.Integer> ports)` Set the list of port numbers for the SSL configuration.
    `void` | `setSpecificIP(java.lang.String specificIP)` Set the IP address for which the SSL configuration applies.
    `void` | `setSSlCredential(SSLCredential sslCredential)` Set the SSL configuration's SSL credential.
    `SSLConfiguration` | `withAllInterfaces(java.lang.Boolean allInterfaces)` Set whether or not the SSL configuration applies to all interfaces.
    `SSLConfiguration` | `withAllIPs(java.lang.Boolean allIPs)` Set whether or not the SSL configuration applies to all IPs.
    `SSLConfiguration` | `withDescription(java.lang.String description)` Set the SSL configuration description.
    `SSLConfiguration` | `withEnabled(java.lang.Boolean enabled)` Set the SSL configuration state.
    `SSLConfiguration` | `withID(java.lang.Integer id)` Set the SSL configuration ID.
    `SSLConfiguration` | `withName(java.lang.String name)` Set the SSL configuration name.
    `SSLConfiguration` | `withPortListID(java.lang.Integer portListID)` Set the port list ID for the SSL configuration.
    `SSLConfiguration` | `withPorts(java.lang.Integer... ports)` Set the list of port numbers for the SSL configuration.
    `SSLConfiguration` | `withPorts(java.util.List<java.lang.Integer> ports)` Set the list of port numbers for the SSL configuration.
    `SSLConfiguration` | `withSpecificIP(java.lang.String specificIP)` Set the IP address for which the SSL configuration applies.
    `SSLConfiguration` | `withSSLCredential(SSLCredential sslCredential)` Set the SSL configuration's SSL credential.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SSLConfiguration

          public SSLConfiguration()

  - ### Method Detail

    - #### getID

          public java.lang.Integer getID()

      Get the SSL configuration ID.
      Returns:
        the SSL configuration's ID

    - #### setID

          public void setID(java.lang.Integer id)

      Set the SSL configuration ID.
      Parameters:
        `id` - the SSL configuration's ID

    - #### withID

          public SSLConfiguration withID(java.lang.Integer id)

      Set the SSL configuration ID.
      Parameters:
        `id` - the SSL configuration's ID
      Returns:
        the updated SSLConfiguration object

    - #### getEnabled

          public java.lang.Boolean getEnabled()

      Get the SSL configuration state.
      Returns:
        true if the SSL configuration is enabled, otherwise false

    - #### setEnabled

          public void setEnabled(java.lang.Boolean enabled)

      Set the SSL configuration state.
      Parameters:
        `enabled` - the SSL configuration's state

    - #### withEnabled

          public SSLConfiguration withEnabled(java.lang.Boolean enabled)

      Set the SSL configuration state.
      Parameters:
        `enabled` - the SSL configuration's state
      Returns:
        the updated SSLConfiguration object

    - #### getName

          public java.lang.String getName()

      Get the SSL configuration name.
      Returns:
        the SSL configuration's name

    - #### setName

          public void setName(java.lang.String name)

      Set the SSL configuration name.
      Parameters:
        `name` - the SSL configuration's name

    - #### withName

          public SSLConfiguration withName(java.lang.String name)

      Set the SSL configuration name.
      Parameters:
        `name` - the SSL configuration's name
      Returns:
        the updated SSLConfiguration object

    - #### getDescription

          public java.lang.String getDescription()

      Get the SSL configuration description.
      Returns:
        the SSL configuration description

    - #### setDescription

          public void setDescription(java.lang.String description)

      Set the SSL configuration description.
      Parameters:
        `description` - the SSL configuration's description

    - #### withDescription

          public SSLConfiguration withDescription(java.lang.String description)

      Set the SSL configuration description.
      Parameters:
        `description` - the SSL configuration's description
      Returns:
        the updated SSLConfiguration object

    - #### getPorts

          public java.util.List<java.lang.Integer> getPorts()

      Get the list of port numbers for the SSL configuration.
      Returns:
        the SSL configuration's list of port numbers

    - #### setPorts

          public void setPorts(java.util.List<java.lang.Integer> ports)

      Set the list of port numbers for the SSL configuration.

      NOTE: If you set both a list of port numbers and a port list ID, the list of port numbers will be ignored

      Parameters:
        `ports` - the list of port numbers

    - #### withPorts

          public SSLConfiguration withPorts(java.util.List<java.lang.Integer> ports)

      Set the list of port numbers for the SSL configuration.

      NOTE: If you set both a list of port numbers and a port list ID, the list of port numbers will be ignored

      Parameters:
        `ports` - the list of port numbers
      Returns:
        the updated SSLConfiguration object

    - #### withPorts

          public SSLConfiguration withPorts(java.lang.Integer... ports)

      Set the list of port numbers for the SSL configuration.

      NOTE: If you set both a list of port numbers and a port list ID, the list of port numbers will be ignored

      Parameters:
        `ports` - the list of port numbers
      Returns:
        the updated SSLConfiguration object

    - #### getPortListID

          public java.lang.Integer getPortListID()

      Get the port list ID for the SSL configuration.
      Returns:
        the port list ID

    - #### setPortListID

          public void setPortListID(java.lang.Integer portListID)

      Set the port list ID for the SSL configuration.

      NOTE: If you set both a list of port numbers and a port list ID, the list of port numbers will be ignored

      Parameters:
        `portListID` - the ID of the predefined port list

    - #### withPortListID

          public SSLConfiguration withPortListID(java.lang.Integer portListID)

      Set the port list ID for the SSL configuration.

      NOTE: If you set both a list of port numbers and a port list ID, the list of port numbers will be ignored

      Parameters:
        `portListID` - the ID of the predefined port list
      Returns:
        the updated SSLConfiguration object

    - #### getSSLCredential

          public SSLCredential getSSLCredential()

      Get the SSL configuration's SSL credential.
      Returns:
        the SSL credential

    - #### setSSlCredential

          public void setSSlCredential(SSLCredential sslCredential)

      Set the SSL configuration's SSL credential.
      Parameters:
        `sslCredential` - the SSL credential

    - #### withSSLCredential

          public SSLConfiguration withSSLCredential(SSLCredential sslCredential)

      Set the SSL configuration's SSL credential.
      Parameters:
        `sslCredential` - the SSL credential
      Returns:
        the updated SSLConfiguration object

    - #### getAllInterfaces

          public java.lang.Boolean getAllInterfaces()

      Get whether or not the SSL configuration applies to all interfaces.
      Returns:
        true if the SSL configuration applies to all interfaces, otherwise false

    - #### setAllInterfaces

          public void setAllInterfaces(java.lang.Boolean allInterfaces)

      Set whether or not the SSL configuration applies to all interfaces.

      NOTE: currently, the API does not support setting this value to false

      Parameters:
        `allInterfaces` - if the SSL configuration applies to all interfaces

    - #### withAllInterfaces

          public SSLConfiguration withAllInterfaces(java.lang.Boolean allInterfaces)

      Set whether or not the SSL configuration applies to all interfaces.

      NOTE: currently, the API does not support setting this value to false

      Parameters:
        `allInterfaces` - if the SSL configuration applies to all interfaces
      Returns:
        the updated SSLConfiguration object

    - #### getAllIPs

          public java.lang.Boolean getAllIPs()

      Get whether or not the SSL configuration applies to all IP addresses.
      Returns:
        true if the SSL configuration applies to all IP addresses, otherwise false

    - #### setAllIPs

          public void setAllIPs(java.lang.Boolean allIPs)

      Set whether or not the SSL configuration applies to all IP addresses.

      NOTE: if allIPs is set to true and a specific IP address is also set, then the specific IP address will be ignored

      Parameters:
        `allIPs` - if the SSL configuration applies to all IPs

    - #### withAllIPs

          public SSLConfiguration withAllIPs(java.lang.Boolean allIPs)

      Set whether or not the SSL configuration applies to all IPs.

      NOTE: if allIPs is set to true and a specific IP address is also set, then the specific IP address will be ignored

      Parameters:
        `allIPs` - if the SSL configuration applies to all IPs
      Returns:
        the updated SSLConfiguration object

    - #### getSpecificIP

          public java.lang.String getSpecificIP()

      Get the IP address for which the SSL configuration applies.
      Returns:
        the IP address for which the SSL configuration applies

    - #### setSpecificIP

          public void setSpecificIP(java.lang.String specificIP)

      Set the IP address for which the SSL configuration applies.
      Parameters:
        `specificIP` - the IP address for which the SSL configuration applies

    - #### withSpecificIP

          public SSLConfiguration withSpecificIP(java.lang.String specificIP)

      Set the IP address for which the SSL configuration applies.
      Parameters:
        `specificIP` - the IP address for which the SSL configuration applies
      Returns:
        the updated SSLConfiguration object

Copyright © 2017 Trend Micro Inc. All Rights Reserved.